# Gbanyan's zsh confirguration

This is my zsh conf file in Linux machine. Besides the standard zsh auto suggestion, syntax-highlighting, the module configured in zimrc also offer the fast path switch and other convenient function. 

The theme is powerlevel10k, after configuration the zsh will prompt to ask some configuration like font and specical symbols. 

## Environment

1. zsh
2. [zim](https://github.com/zimfw/zimfw)
3. Linux

## Installation

1. Install zsh and switch to zsh in Linux 

   ```bash
   chsh -s $(which zsh)
   ```

2. Download and install zim (follow the zimfw official guide). Do not put any pre-configured zshrc or zimrc file in home folder

   ```bash
   curl -fsSL https://raw.githubusercontent.com/zimfw/install/master/install.zsh | zsh
   ```

3. Delete original zimrc and zimfw file, copy or link file in this repo

4. After replacing original file, run `zimfw install`

## Other useful command

My often used toolkit includes anaconda. However, `conda` command won't be loaded in zshrc automatically. You need to add by yourself. 

### p10k reconfigure

`p10k configure`

### Update zimfw

`zimfw upgrade`

### Update zimfw installed extension

`zimfw update`

